@echo off

@echo /*****************************************************************
@echo .
@echo Copyright (c) NEC America, Inc. 2000-2005
@echo All Rights Reserved
@echo .
@echo No part of this program may be photocopied, reproduced, or
@echo translated to another programming language without the prior
@echo written consent of NEC America, Inc.
@echo .
@echo ****************************************************************/
@echo .
@echo .
@rem This sample script(batch file) is provided to set up your environment for 
@rem compiling and running the samples included with dbMapper package.
@rem Refer to the user guide for the installation instructions.
@rem You should edit this file to change environment variables and JDBC
@rem driver location to your development environment.
@rem
@rem
@rem Set environment variables used by dbMapper.

@rem Specify JDK installation directory.
set JAVA_HOME=c:\jdk1.3.1
echo Setting JAVA_HOME(JDK installation directory) to %JAVA_HOME%
echo .

@rem Ant installation directory
set ANT_HOME=c:\MyFiles\ant
echo Setting ANT_HOME(Jakarta Ant installation dir) to %ANT_HOME%
echo .

@rem Directory that contains the thirdparty jar files used by dbMapper package.
@rem All these jar files are provided with the dbMapper distribution.
@rem "C:\work\emsx\run\demo\dbMapper" is the dbMapper installation directory.
@rem If you choose to use a different version for these thirdparty products,
@rem make sure the CLASSPATH environment variable is set accordingly.
set EXT_LIB=C:\work\emsx\run\demo\dbMapper\thirdparty

@rem classpath
set CLASSPATH=.;%JAVA_HOME%\src.jar;%JAVA_HOME%\lib\tools.jar;%EXT_LIB%\xerces.jar;%EXT_LIB%\jdom.jar;%EXT_LIB%\log4j.jar;
echo Using classpath: %CLASSPATH%
echo .


@rem path
set PATH=%ANT_HOME%\bin;%JAVA_HOME%\bin;C:\WINNT\system32;C:\WINNT;C:\WINNT\System32\Wbem;
echo Using path: %PATH%
echo .




@rem ========================================================================
@rem             Example settings related to RDBMS products
@rem ========================================================================

@rem Oracle 8/8i thin driver
set CLASSPATH=%CLASSPATH%;C:\Oracle\Ora81\jdbc\lib\classes12.zip;

@rem postgres (www.postgres.com) database server
@rem set CLASSPATH=%CLASSPATH%;C:\cygwin\usr\local\pgsql\share\java\pgjdbc2.jar

@rem hsqldb (hyper sonic database server)
@rem set CLASSPATH=%CLASSPATH%;C:\MyFiles\hsqldb\lib\hsqldb.jar

@rem mysql
@rem set CLASSPATH=%CLASSPATH%;C:\mysql\jdbc\mysql-connector-java-2.0.14\mysql-connector-java-2.0.14-bin.jar

@rem mysql-mm (old mm jdbc drivers used by mysql)
@rem set CLASSPATH=%CLASSPATH%;C:\mysql\jdbc\mm.mysql.jdbc-1.2b\mysql_comp.jar

@rem Microsoft-Access (most of examples do not work with access, because of
@rem limited features provides by Sun's JDBC-ODBC driver)
@rem set CLASSPATH=%CLASSPATH%

@rem MSAccess - Atinav JDBC1.0 drivers (very limited features)
@rem set CLASSPATH=%CLASSPATH%;C:\MyFiles\AtinavAccessDriver\JDBCClasses\JDBCClasses.zip

