
create table demo_primitive (
   col_x INTEGER PRIMARY KEY,
   col_y VARCHAR(64)
);





create table demo_user (
   firstName VARCHAR(64) NOT NULL,
   lastName  VARCHAR(64) NOT NULL,
   pin       INTEGER NOT NULL,
   sex       VARCHAR(1),
   height    FLOAT,
   email     VARCHAR(64),
   alive     CHAR(1),
   income    INTEGER,
   dob       SMALLINT,
   CONSTRAINT demo_user_pk PRIMARY KEY (firstName, lastName, pin)
);





create table demo_ring (
   id INTEGER PRIMARY KEY,
   radius INTEGER,
   width INTEGER,
   x INTEGER,
   y INTEGER
);





create table demo_person (
   name VARCHAR(64) PRIMARY KEY
);

create table demo_person_house (
   ownerName VARCHAR(64) NOT NULL,
   houseId INTEGER NOT NULL,
   area FLOAT,
   vintage INTEGER,
   CONSTRAINT constr_demo_ph_pk PRIMARY KEY(ownerName, houseId),
   CONSTRAINT constr_demo_ph_fr_name FOREIGN KEY(ownerName)
                            REFERENCES demo_person(name) ON DELETE CASCADE
);

create table demo_person_address (
   addrId    INTEGER PRIMARY KEY,
   ownerName VARCHAR(64),
   houseId INTEGER,
   street VARCHAR(128),
   city VARCHAR(64),
   state VARCHAR(32),
   zip INTEGER,
   CONSTRAINT constr_demo_pa_fr_house FOREIGN KEY (ownerName, houseId)
              REFERENCES demo_person_house(ownerName, houseId) ON DELETE CASCADE
);

create table demo_person_address_location (
   addrId  INTEGER NOT NULL,
   x   FLOAT,
   y   FLOAT,
   CONSTRAINT constr_demo_pal_fr_id FOREIGN KEY (addrId)
              REFERENCES demo_person_address(addrId) ON DELETE CASCADE
);

create table demo_person_vehicle (
   vin     INTEGER PRIMARY KEY,
   ownerName VARCHAR(64) NOT NULL,
   make VARCHAR(128),
   CONSTRAINT constr_demo_pv_fr_name FOREIGN KEY(ownerName)
                            REFERENCES demo_person(name) ON DELETE CASCADE
);

create table demo_person_vehicle_part (
   partId  VARCHAR(64) PRIMARY KEY,
   vin     INTEGER NOT NULL,
   descr VARCHAR(128),
   CONSTRAINT constr_demo_pvp_fr_vin FOREIGN KEY(vin)
                   REFERENCES demo_person_vehicle(vin) ON DELETE CASCADE
);







create table demo_account (
   id SMALLINT PRIMARY KEY
);


create table demo_balance (
   accountNumber INTEGER NOT NULL,
   balance FLOAT,
   CONSTRAINT constr_demo_bl_fr_accountnum FOREIGN KEY(accountNumber)
           REFERENCES demo_account(id) ON DELETE CASCADE
);






create table demo_counter (
   id VARCHAR(64) PRIMARY KEY,
   value INTEGER
);

